#gcc finduartcan.c  -o finduartcan
./finduartcan

uart_num=$?
#echo $uart_num

if [ $uart_num -eq 100 ]; 
then 

    echo "find canbus uart unsuccessfully"
    exit
else 
    echo "find canbus uart successfully"
fi

uart_dev=/dev/ttyS$uart_num

#debug use
#echo $uart_dev

var1=`cat 87-aaeon-can.rules | grep ATTRS{device}==  | awk -F '"' '{print $4}'`
var2=`udevadm info $uart_dev | grep ID_MODEL_ID | awk -F '=' '{print $2}'`


if [ -z $var1 ]; then
	echo "can uart not found"
else
	echo replace uart_pid $var1 to $var2
	sed -i "s/${var1}/${var2}/g" 87-aaeon-can.rules
fi


