#!/bin/bash

#---------------------------------------#
#  Buadrate could be set as below: 	#
#	10K				#
#	20K				#
#	50K				#
#	100K				#
#	125K				#
#	250K				#
#	500K				#
#	800K				#
#	1000K				#
#---------------------------------------#
Buadrate="1000K"
#if can device name conflicted,you could be change name to others 
canname="can1"

function canbegin()
{
	sudo -S slcand -S 2000000 -s$1 -o UPUartCan $canname
	sleep 0.1
	sudo ip link set $canname up
	sleep 0.1
	sudo ip link set $canname txqueuelen 10000
}
function kill()
{
	pid=$(ps aux | grep slcand | grep UPUartCan | grep -v grep | awk '{print $2}')
	echo $pid
	sudo kill -9 $pid
}

function Start()
{
	case $Buadrate in 
	"10K") 
		canbegin 0
		;;	
	"20K") 
		canbegin 1
		;;	
	"50K") 
		canbegin 2
		;;	
	"100K") 
		canbegin 3
		;;
	"125K") 
		canbegin 4
		;;
	"250K") 
		canbegin 5
		;;
	"500K") 
		canbegin 6
		;;
	"800K") 
		canbegin 7
		;;
	"1000K") 
		canbegin 8
		;;
		
	*)
		 echo "Not support Buadrate"
		 ;;
	
	esac
}

case $1 in 
	"Start")
		Start;;
	"Stop")
		kill
		;;
	*)
		 echo "Unknown command"
esac
